# $Id: smeserver-mailstats.spec,v 1.25 2010/01/11 18:21:58 snetram Exp $
# Authority: brianread
# Name: Brian Read

Summary: Daily mail statistics for SME Server
%define name smeserver-mailstats
Name: %{name}
%define version 0.0.3
%define release 14
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-mailstats-0.0.3-bjrupdate01.patch
Patch2: smeserver-mailstats-0.0.3-bjrupdate02.patch
Patch3: smeserver-mailstats-0.0.3-bjrupdate03.patch
Patch4: smeserver-mailstats-0.0.3-bjrupdate04.patch
Patch5: smeserver-mailstats-0.0.3-reworkDateManip.patch
Patch6: smeserver-mailstats-0.0.3-removeChangelogFromScript.patch
Patch7: smeserver-mailstats-0.0.3-implementDBCreation.patch
Patch8: smeserver-mailstats-0.0.3-removeMySQLInstructions.patch
Patch9: smeserver-mailstats-0.0.3-addCreatelinks.patch
Patch10: smeserver-mailstats-0.0.3-addRunOrderSequence.patch
Patch11: smeserver-mailstats-0.0.3-fix-tls-stats.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release => 7.0
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
A script that via cron.d e-mails mail statistics to admin on a daily basis.
See http://www.contribs.org/bugzilla/show_bug.cgi?id=819

%changelog
* Mon Jan 11 2010 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.3-14
- Fix stats when mails are received using TLS in reporting timeframe [SME: 5585]

* Mon Oct 13 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.3-13
- Add sequence number to init script to have the database creation 
  script execute as well [SME: 4275]

* Sun Oct 12 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.3-12
- Fix patches to apply cleanly [SME: 3631]
- Execute the database creation script as well [SME: 4275]

* Sat Oct  4 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.3-11
- Implement MySQL database creation [SME: 4275]
- Remove changelog from spamfilter-stats script

* Fri Oct  3 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.3-10
- Remove debug commands introduced in [SME: 3631]
- Fixed version number in previous changelog entry

* Fri Oct  3 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.3-9
- Remove use of Date::Manip from spamfilter-stats-7.pl [SME: 3631]

* Mon Apr 28 2008 Brian J Read <brianr@bjsystems.co.uk> 0.0.3-8
- Another version number update (strugglinjg with CVS here)

* Mon Apr 28 2008 Brian J Read <brianr@bjsystems.co.uk> 0.0.3-7
- Update version number

* Sun Apr 27 2008 Brian J Read <brianr@bjsystems.co.uk> 0.0.3-6
- Fix up to enable disable SAreport and others [SME:3734]

* Fri Apr 11 2008 Brian J Read <brianr@bjsystems.co.uk> 0.0.3-5
- Fix up Db entries when none at all.[SME:4188]

* Thu Apr 3 2008 Brian J Read <brianr@bjsystems.co.uk> 0.0.3-4
- Take out extra lines in mailstats.cron and remove restart crond from
  post actions in spec file, on Shad's advice.

* Tue Apr 1 2008 Brian J Read <brianr@bjsystems.co.uk> 0.0.3-3
- Add in restart of crond so that script in cron.d is noticed

* Tue Mar 25 2008 Brian J read <brianr@bjsystems.co.uk> 0.0.3-2
- New version incorporating Charlie's changes and latest changes from bjr [SME:3956]

* Fri Feb 15 2008 Shad L. Lords <slords@mail.com> 0.0.3-1
- Roll new version in prep for building on new buildsys

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-07
- Rename parse_args => analysis_period, and simplify substantially.

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-06
- Avoid re-opening config db all the time.

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-05
- Redo 1st of month bug fix. Expand all tabs to four spaces. [SME: 3366]

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-04
- Update spamfilter-stats-7.pl to Brian's 0.6.15 version. [SME: 3068]

* Mon Oct  1 2007 Charlie Brady <charlie_brady@mitel.com> 0.0.2-03
- Fix 1st of month bug, and uninitialised value warning. [SME: 3366]

* Mon Sep 10 2007 Charlie Brady <charlie_brady@mitel.com> 0.0.2-02
- Patch to update spamfilter-stats-7.pl to most recent verson that is
  attached in bugzilla. http://bugs.contribs.org/show_bug.cgi?id=3068

* Mon Sep 10 2007 Charlie Brady <charlie_brady@mitel.com> 0.0.2-01
- Repackaging Darrell's 0.0.1-2dmay as 0.0.2. After all this time Darrell
  is still publishing multiple RPMs with tarballs with different content
  with the same version number - grrrr!!! Odd, since he is the quoted author
  of rpm-patch-howto.html.

* Thu Aug 23 2007 John H. Bennett III <bennettj@johnbennettservices.com> [0.0.1-2]
- Patch to update spamfilter-stats-7.pl to most recent verson that is
  attached in bugzilla. http://bugs.contribs.org/show_bug.cgi?id=3068

* Wed Apr 11 2007 Darrell May <dmay@myezserver.com>
- added db qpsmtpdLogLevel migrate fragment
- changed post commands being echoed
- [0.0.1-2dmay]
* Wed Apr 11 2007 Darrell May <dmay@myezserver.com>
- updated to use qpsmtpd logterse plugin
- [0.0.1-1dmay]
* Fri Oct 13 2006 Darrell May <dmay@myezserver.com>
- bundled into rpm
- [0.0.1-0dmay]

%prep

%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
